.search-mobile {
	top: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	z-index: 1600;
	position: fixed;
	background: #fff;
	opacity: 0;
	visibility: hidden;

	&.open {
		opacity: 1;
		visibility: visible;
	}

	@media (min-width: $screen-md-min) {
		width: rem(480);
		border-left: 1px solid #e8ebf0;
	}

	@media (min-width: $screen-lg-min) {
		display: none !important;
	}
}

.pretty-search {
	width: 100%;
	height: 100%;
	max-height: 100%;
	position: relative;
	background: transparent;
	font-family: $font-family-head;

	&__header {
		top: 0;
		left: 0;
		right: 0;
		z-index: 100;
		height: rem(58);
		padding: rem(20);
		display: flex;
		position: absolute;
		align-items: center;
		justify-content: space-between;
		background: #fff;
	}

	&__button {
		margin: 0;
		padding: 0;
		font-size: 0;
		line-height: 0;
		border: none;
		outline: none;
		width: rem(18);
		height: rem(18);
		display: inline-block;
		background: transparent;

		svg {
			fill: $black-100;
		}
	}

	&__field {
		top: rem(58);
		left: 0;
		right: 0;
		z-index: 100;
		background: transparent;
		position: absolute;
        padding: rem(8) rem(20);

		&--light {

			.pretty-search__field--input {
				color: $white;

			}

			.pretty-search__field--loop {

				svg {
					fill: $white;
				}
			}
		}

		&--wrap {
			position: relative;
		}


		&--input {
			margin: 0;
			width: 100%;
			height: rem(36);
			outline: 0;
			z-index: 10;
			color: #1d1d1b;
			-webkit-box-shadow: none;
			box-shadow: none;
			font-weight: 700;
			font-size: rem(12);
			line-height: rem(20);
			border-radius: rem(22);
			position: relative;
			display: inline-block;
			vertical-align: middle;
			background: 0 0;
			background: transparent;
            padding: rem(7) rem(44) rem(7) rem(19);
			border: 1px solid #e8ebf0;
		}

		&--loop {
			right: rem(9);
            top: 50%;
            margin: rem(-9) 0 0 0;
			z-index: 5;
			opacity: 0.85;
			width: rem(18);
			height: rem(18);
			font-size: 0;
			line-height: 0;
			padding: 0;
			border: none;
			outline: none;
			position: absolute;
			background: transparent;

			svg {
				fill: $black-100;
			}
		}
	}

	&__result {
		top: rem(110);
		left: 0;
		right: 0;
		bottom: 0;
		overflow-y: auto;
		position: absolute;

		&--wrap {
			padding: rem(20);
		}
	}

	&__news {

	}

	&__sections {

		&--item {
			padding-top: rem(29);
			padding-bottom: rem(11);
			border-bottom: 1px solid #E8EBF0;

			&:last-child {
				border-bottom: none;
				padding-bottom: 0;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__header {
			display: none;
		}

		&__field {
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			padding: 0;
			position: relative;
		}

		&__result {
            top: 100%;
			right: auto;
			width: rem(704);
			height: auto;
			bottom: auto;
			padding-top: 0;
			overflow: visible;
			background: #fff;
            margin-top: rem(1);
			box-shadow: 0 4px 8px rgba(0, 0, 0, 0.12);
			border-radius: rem(16);

			&--wrap {
				padding: rem(24) 0;
				display: flex;
			}
		}

		&__news {
			width: 50%;
			padding: 0 rem(24);
			flex-shrink: 0;
		}

		&__sections {
			width: 50%;
			padding: 0 rem(24);
			flex-shrink: 0;
			border-left: 1px solid #E8EBF0;

			&--item {
				padding-bottom: rem(6);
				padding-top: rem(16);

				&:first-child {
					padding-top: 0;
				}

				&:last-child {
					padding-bottom: 0;
				}
			}
		}
	}
}

.pretty-search-news {
	font-family: $font-family-head;

	&__header {
		display: flex;
		align-items: center;
		justify-content: space-between;

		&--title {
			font-weight: 700;
			font-size: rem(18);
			line-height: rem(22);
		}

		&--button {
			margin: 0;
			padding: 0;
			height: rem(18);
			font-size: 0;
			line-height: 0;
			display: inline-block;

			svg {
				fill: $blue-500;
			}

			&:hover {

				svg {
					fill: $black-100;
				}
			}
		}
	}

	&__list {
		margin: 0;
		padding: 0;
		list-style: none;
	}

	&__item {
		padding-top: rem(16);
		padding-bottom: rem(11);
		border-bottom: 1px solid #E8EBF0;
	}

	&__title {
		color: $black-100;
		text-decoration: none;

		&:hover {
			color: $blue;
			text-decoration: none;
		}
	}
}

.pretty-search-section {
	font-family: $font-family-head;

	&__header {
		color: $black-100;
		text-decoration: none;
		margin-bottom: rem(12);
		display: flex;
		align-items: center;
		justify-content: space-between;

		&:hover {
			color: $black-100;
			text-decoration: none;
		}
	}

	&__title {
		font-weight: 700;
		font-size: rem(18);
		line-height: rem(22);
	}

	&__button {
		margin: 0;
		padding: 0;
		font-size: 0;
		line-height: 0;
		border: none;
		outline: none;
		width: rem(18);
		height: rem(18);
		display: inline-block;
		background: transparent;

		svg {
			fill: $black-100;
		}
	}

	&__content {
		display: flex;
		align-items: center;
		color: $black-100;
		text-decoration: none;
		font-weight: 500;
		font-size: rem(14);
		line-height: 150%;

		&:hover {
			color: $blue;
			text-decoration: none;
		}
	}

	&__image {
		width: rem(49);
		height: rem(49);
		overflow: hidden;
		font-size: 0;
		line-height: 0;
		border-radius: rem(8);
		flex-shrink: 0;

		&--circle {
			border-radius: 50%;
		}
	}

	&__text {
		padding-left: rem(13);
	}
}
